Skip to main content
GET
List token transfers involving a specific address with filtering options

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Query Parameters

filter
enum<string>

Filter transactions by direction:

  • to - Only show transactions sent to this address
  • from - Only show transactions sent from this address If omitted, all transactions involving the address are returned.
Available options:
to,
from
type

Filter by token type. Comma-separated list of:

  • ERC-20 - Fungible tokens
  • ERC-721 - Non-fungible tokens
  • ERC-1155 - Multi-token standard
  • ERC-404 - Hybrid fungible/non-fungible tokens

Example: ERC-20,ERC-721 to show both fungible and NFT transfers

Required string length: 0
token
string

Filter token transfers by token contract address.

Pattern: ^0x([A-Fa-f0-9]{40})$
items_count
integer

Number of items per page

Required range: x >= 1
block_number
integer

Block number for paging

Required range: x >= 0
index
integer

Item index for paging

batch_log_index
integer

Batch log index for paging

batch_block_hash
string

Batch block hash for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
batch_transaction_hash
string

Batch transaction hash for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
index_in_batch
integer

Index in batch for paging

Response

All token transfers for the specified address.

items
TokenTransfer · object[]
required
next_page_params
object | null
required
Example: